<p>
  <img src="../../../../assets/images/svg/zoology.svg"
       style="width: 40px;">
  <span class="titulo">Entrevista Intergado</span>
</p>


<div>
  <p>1. Abra o link abaixo para visualizar a documentação da API no Swagger:</p>

  <div class="resposta"><a href="http://localhost:5050/api/swagger-ui.html"
       target="_blank">Swagger CRUD</a></div>


  <p>2. Implemente as seguintes funções:</p>


  <p>2.1. Liste abaixo o retorno do endpoint que trará a lista de animais da consulta no Swagger;</p>


  <p>2.2. Insira um novo animal usando o endpoint de inserção e, em seguida, atualize a lista anterior;</p>


  <p>2.3. Crie um link na frente de cada item da lista e, usando o endpoint "excluir", remova o registro quando o link
    for clicado. Atualize a lista em seguida.</p>

</div>

<button mat-button [routerLink]="['/']">Ir para o desafio</button>